=== debian/watch ===
version=3
http://nginx.org/download/nginx-(.+)\.tar\.gz
