## nginx 1.2.1

=== debian/changelog ===
nginx (1.2.1-2.2+wheezy4) wheezy-security; urgency=high

  [ Christos Trochalakis ]
  * Fixes multiple resolver CVEs,
    CVE-2016-0742, CVE-2016-0746, CVE-2016-0747
    Closes: #812806

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 28 Jan 2016 13:42:29 +0200

nginx (1.2.1-2.2+wheezy3) wheezy-security; urgency=high

  * debian/patches/fix-CVE-2014-3616.patch:
    CVE-2014-3616: It was possible to reuse cached SSL sessions in
    unrelated contexts, allowing virtual host confusion attacks in some
    configurations by an attacker in a privileged network position.
    (Closes: #761940)

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Thu, 18 Sep 2014 15:25:04 +0300

nginx (1.2.1-2.2+wheezy2) stable-security; urgency=high

  * debian/patches/fix-CVE-2013-4547.patch:
    + Proper backtracking after space in a request line.
      See: CVE:2013-4547 for more details.

 -- Christos Trochalakis <yatiohi@ideopolis.gr>  Wed, 20 Nov 2013 00:36:19 +0200

nginx (1.2.1-2.2+wheezy1) stable-security; urgency=high

  * debian/patches/fix-CVE-2013-2070.patch:
    + Fixed the buffer overflow issue found on may 13th 2013.
      See: CVE-2013-2070 for more details.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Wed, 05 Jun 2013 10:41:45 +0200

nginx (1.2.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "removes files that were installed by another package":
    don't remove directories that are owned by (and removed from) nginx-common
    from nginx-extras.postrm. This seems to have been the idea in commit e30a854
    ("Moved configuration purging to nginx-common.") except that it was added
    in nginx-common.postrm without being removed in nginx-extras.postrm.
    Remove nginx-extras.postrm since it's empty after this change.
    (Closes: #681758)

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Aug 2012 18:13:10 +0200

nginx (1.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload to deal with the goal of 100% translated
    debconf templates for 7 languages in wheezy.
  * Drop nasty ^M characters from the templates file. They break
    debconf-updatepo and therefore translations. Closes: #681381
  * As a consequence, fix translations as some of them had been
    "updated" in the meantime wrt broken templates

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Jul 2012 21:23:57 +0200

nginx (1.2.1-2) unstable; urgency=medium

  [Cyril Lavier]
  * Urgency set to medium, security bug in naxsi module, fix via upstream.
  * debian/modules/naxsi:
    + Updated naxsi module to version 0.46-1 fixing the following security
      issue : potential file disclosure in nx_extract.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Wed, 27 Jun 2012 13:52:03 +0200

nginx (1.2.1-1) unstable; urgency=medium

  [Kartik Mistry]
  * Urgency set to medium, RC bug fix.
  * New upstream release (Closes: #677396)
  * debian/nginx.1:
    + Updated with description taken from debian/control.
  * debian/po/cs.po:
    + Added Czech translation of PO debconf template.
      (Closes: #673120, #678659)
  * debian/po/da.po:
    + Added Danish translation of PO debconf template.
      (Closes: #674461, #677806)
  * debian/po/it.po:
    + Added Italian translation of PO debconf template. (Closes: #679185)
  * debian/po/nl.po:
    + Added Dutch translation of PO debconf template. (Closes: #675314)
  * debian/po/pl.po:
    + Added Polish translation of PO debconf template. (Closes: #678156)
  * debian/po/pt.po:
    + Added Portuguese translation of PO debconf template.
      (Closes: #674609, #679149)
  * debian/po/sk.po:
    + Added Slovak translation of PO debconf template. (Closes: #677282)
  * debian/po/sv.po:
    + Added Swedish translation of PO debconf template.
      (Closes: #675107, #677032)
  * debian/copyright:
    + Removed duplicate Copyright fields.
  * debian/modules/nginx-lua:
    + Updated to latest upstream git tag 0.5.0rc29-6446ee71b8, Fix for worker
      process crashes (Closes: #674928)
  * debian/nginx-naxsi-ui.templates, debian/po/templates.pot:
    + Updated debconf template after review from l10n-english team.
      (Closes: #675237)
    + Do not add empty line.
  * debian/po/*.po:
    + Refreshed after template update.

  [Cyril Lavier]
  * debian/rules:
    + Added status module to nginx-naxsi. (Closes: #672998)
  * debian/control:
    + Updated nginx-naxsi module list.
    + Updated nginx-full module list. (Closes: #677128)
  * debian/po/de.po:
    + Added German translation of PO debconf template.
      (Closes: #673861, #677790)
  * debian/po/ru.po:
    + Added Russian translation of PO debconf template. (Closes: #674188)
  * debian/po/es.po:
    + Added Spanish translation of PO debconf template. (Closes: #678915)
  * debian/po/gl.po:
    + Added Galician translation of PO debconf template. (Closes: #678910)
  * debian/nginx-naxsi-ui.postrm, debian/nginx-naxsi-ui.prerm:
    + Added postrm and prerm scripts for nginx-naxsi-ui. (Closes: #673787)

  [Michael Lustfield]
  * debian/nginx-common.preinst:
    + Copied install stuff to upgrade in case statement. (LP: #1014506)
  * debian/rules
    + Added --with-pcre-jit to build. (LP: #915344)
  * debian/conf/sites-available/default:
    + Changed default try_files example. (LP: #969207)
  * debian/nginx-*.postrm:
    + Changed a few things so files are only purged on purge. (Closes: #678060)
      - Thanks Jeroen Dekkers <jeroen@dekkers.ch>

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Jun 2012 09:24:50 +0530

nginx (1.2.0-1) unstable; urgency=low

  [Cyril Lavier]
  * New upstream release. (Closes: #670306)
    + 1.2.x is stable release now.
  * debian/modules/chunkin-nginx-module:
    + Updated chunkin-nginx-module to v0.23rc2-3-g85eca98.
  * debian/modules/headers-more-module:
    + Updated headers-more-module to v0.17rc1-4-g33a82ed.
  * debian/modules/nginx-development-kit:
    + Updated nginx-development-kit to v0.2.17-7-g24202b4.
  * debian/modules/nginx-echo:
    + Updated nginx-echo to v0.38rc2-7-g080c0a1.

