=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: nginx
 Section: httpd
 Priority: optional
-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
 Uploaders: Jose Parrella <bureado@debian.org>,
            Fabio Tranchitella <kobold@debian.org>,
            Michael Lustfield <michael@lustfield.net>,
            Dmitry E. Oboukhov <unera@debian.org>,
-           Cyril Lavier <cyril.lavier@davromaniak.eu>,
-           Christos Trochalakis <yatiohi@ideopolis.gr>
+           Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends: autotools-dev,
                debhelper (>= 7),
-               dpkg-dev (>= 1.15.7),
+               dpkg-dev (>= 1.15.5),
                libexpat-dev,
                libgd2-noxpm-dev,
                libgeoip-dev,
@@ -243,7 +243,7 @@
  Limit Requests, Limit Zone, Log, Map, Memcached, Proxy, Referer,
  Rewrite, Split Clients, SSI, Upstream, User ID.
  .
- OPTIONAL HTTP MODULES: IPv6, SSL, Stub Status.
+ OPTIONAL HTTP MODULES: IPv6, Real IP, SSL, Stub Status.
  .
  THIRD PARTY MODULES: Naxsi, Cache Purge, Upstream Fair.
